tigase.server.monitor

## Interface MonitorPluginIfc

-     public interface MonitorPluginIfc

  Created: Jun 17, 2010 11:59:13 AM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `check10Secs(Queue<Packet> results)` Method description
    `void` | `check1Day(Queue<Packet> results)` Method description
    `void` | `check1Hour(Queue<Packet> results)` Method description
    `void` | `check1Min(Queue<Packet> results)` Method description
    `String` | `commandsHelp()` Method description
    `void` | `destroy()` Method description
    `String` | `getState()` Method description
    `void` | `getStatistics(StatisticsList list)`
    `boolean` | `isMonitorCommand(String command)` Method description
    `String` | `runCommand(String[] command)` Method description

- - ### Method Detail

    - #### check10Secs

          void check10Secs(Queue<Packet> results)

      Method description
      Parameters:
        `results` -

    - #### check1Day

          void check1Day(Queue<Packet> results)

      Method description
      Parameters:
        `results` -

    - #### check1Hour

          void check1Hour(Queue<Packet> results)

      Method description
      Parameters:
        `results` -

    - #### check1Min

          void check1Min(Queue<Packet> results)

      Method description
      Parameters:
        `results` -

    - #### commandsHelp

          String commandsHelp()

      Method description

    - #### destroy

          void destroy()

      Method description

    - #### getState

          String getState()

      Method description

    - #### isMonitorCommand

          boolean isMonitorCommand(String command)

      Method description
      Parameters:
        `command` -

    - #### runCommand

          String runCommand(String[] command)

      Method description
      Parameters:
        `command` -

    - #### getStatistics

          void getStatistics(StatisticsList list)

Copyright © 2016 "Tigase, Inc.". All rights reserved.